# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
"""Client and server classes corresponding to protobuf-defined services."""
import grpc

from users.v1 import users_pb2 as users_dot_v1_dot_users__pb2


class UserServiceStub(object):
    """Missing associated documentation comment in .proto file."""

    def __init__(self, channel):
        """Constructor.

        Args:
            channel: A grpc.Channel.
        """
        self.OnUserEvents = channel.unary_stream(
                '/users.v1.UserService/OnUserEvents',
                request_serializer=users_dot_v1_dot_users__pb2.OnUserEventsRequest.SerializeToString,
                response_deserializer=users_dot_v1_dot_users__pb2.OnUserEventsResponse.FromString,
                )
        self.ListUsers = channel.unary_unary(
                '/users.v1.UserService/ListUsers',
                request_serializer=users_dot_v1_dot_users__pb2.ListUsersRequest.SerializeToString,
                response_deserializer=users_dot_v1_dot_users__pb2.ListUsersResponse.FromString,
                )
        self.CreateUser = channel.unary_unary(
                '/users.v1.UserService/CreateUser',
                request_serializer=users_dot_v1_dot_users__pb2.CreateUserRequest.SerializeToString,
                response_deserializer=users_dot_v1_dot_users__pb2.CreateUserResponse.FromString,
                )
        self.GetUser = channel.unary_unary(
                '/users.v1.UserService/GetUser',
                request_serializer=users_dot_v1_dot_users__pb2.GetUserRequest.SerializeToString,
                response_deserializer=users_dot_v1_dot_users__pb2.GetUserResponse.FromString,
                )
        self.UpdateUser = channel.unary_unary(
                '/users.v1.UserService/UpdateUser',
                request_serializer=users_dot_v1_dot_users__pb2.UpdateUserRequest.SerializeToString,
                response_deserializer=users_dot_v1_dot_users__pb2.UpdateUserResponse.FromString,
                )
        self.DeleteUser = channel.unary_unary(
                '/users.v1.UserService/DeleteUser',
                request_serializer=users_dot_v1_dot_users__pb2.DeleteUserRequest.SerializeToString,
                response_deserializer=users_dot_v1_dot_users__pb2.DeleteUserResponse.FromString,
                )


class UserServiceServicer(object):
    """Missing associated documentation comment in .proto file."""

    def OnUserEvents(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def ListUsers(self, request, context):
        """ListUsers is used to retrieve all the users that have been added
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def CreateUser(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def GetUser(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def UpdateUser(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def DeleteUser(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')


def add_UserServiceServicer_to_server(servicer, server):
    rpc_method_handlers = {
            'OnUserEvents': grpc.unary_stream_rpc_method_handler(
                    servicer.OnUserEvents,
                    request_deserializer=users_dot_v1_dot_users__pb2.OnUserEventsRequest.FromString,
                    response_serializer=users_dot_v1_dot_users__pb2.OnUserEventsResponse.SerializeToString,
            ),
            'ListUsers': grpc.unary_unary_rpc_method_handler(
                    servicer.ListUsers,
                    request_deserializer=users_dot_v1_dot_users__pb2.ListUsersRequest.FromString,
                    response_serializer=users_dot_v1_dot_users__pb2.ListUsersResponse.SerializeToString,
            ),
            'CreateUser': grpc.unary_unary_rpc_method_handler(
                    servicer.CreateUser,
                    request_deserializer=users_dot_v1_dot_users__pb2.CreateUserRequest.FromString,
                    response_serializer=users_dot_v1_dot_users__pb2.CreateUserResponse.SerializeToString,
            ),
            'GetUser': grpc.unary_unary_rpc_method_handler(
                    servicer.GetUser,
                    request_deserializer=users_dot_v1_dot_users__pb2.GetUserRequest.FromString,
                    response_serializer=users_dot_v1_dot_users__pb2.GetUserResponse.SerializeToString,
            ),
            'UpdateUser': grpc.unary_unary_rpc_method_handler(
                    servicer.UpdateUser,
                    request_deserializer=users_dot_v1_dot_users__pb2.UpdateUserRequest.FromString,
                    response_serializer=users_dot_v1_dot_users__pb2.UpdateUserResponse.SerializeToString,
            ),
            'DeleteUser': grpc.unary_unary_rpc_method_handler(
                    servicer.DeleteUser,
                    request_deserializer=users_dot_v1_dot_users__pb2.DeleteUserRequest.FromString,
                    response_serializer=users_dot_v1_dot_users__pb2.DeleteUserResponse.SerializeToString,
            ),
    }
    generic_handler = grpc.method_handlers_generic_handler(
            'users.v1.UserService', rpc_method_handlers)
    server.add_generic_rpc_handlers((generic_handler,))


 # This class is part of an EXPERIMENTAL API.
class UserService(object):
    """Missing associated documentation comment in .proto file."""

    @staticmethod
    def OnUserEvents(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_stream(request, target, '/users.v1.UserService/OnUserEvents',
            users_dot_v1_dot_users__pb2.OnUserEventsRequest.SerializeToString,
            users_dot_v1_dot_users__pb2.OnUserEventsResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def ListUsers(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/users.v1.UserService/ListUsers',
            users_dot_v1_dot_users__pb2.ListUsersRequest.SerializeToString,
            users_dot_v1_dot_users__pb2.ListUsersResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def CreateUser(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/users.v1.UserService/CreateUser',
            users_dot_v1_dot_users__pb2.CreateUserRequest.SerializeToString,
            users_dot_v1_dot_users__pb2.CreateUserResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def GetUser(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/users.v1.UserService/GetUser',
            users_dot_v1_dot_users__pb2.GetUserRequest.SerializeToString,
            users_dot_v1_dot_users__pb2.GetUserResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def UpdateUser(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/users.v1.UserService/UpdateUser',
            users_dot_v1_dot_users__pb2.UpdateUserRequest.SerializeToString,
            users_dot_v1_dot_users__pb2.UpdateUserResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def DeleteUser(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/users.v1.UserService/DeleteUser',
            users_dot_v1_dot_users__pb2.DeleteUserRequest.SerializeToString,
            users_dot_v1_dot_users__pb2.DeleteUserResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)
